<div class="post-meta">	
	<?php 
	//list all taxonomy terms related to this object
	global $post; 
	//get taxonomies available from post
	$taxonomy_objects = get_object_taxonomies( get_post_type(), 'objects' );
		$taxonomies = array();
		foreach($taxonomy_objects as $taxonomy_object) {
	  	array_push($taxonomies, $taxonomy_object); 
	} 
	?>

	<?php foreach ($taxonomies as $taxonomy): ?>
		<?php
		//list all taxonomies 
		$terms = wp_get_post_terms( $post->ID, $taxonomy->name ); 
		?>			
		<?php if ($terms): ?>
			<ul>
				<?php foreach($terms as $term): ?>
					<li>
						<a href="<?php echo get_term_link($term->name, $taxonomy->name); ?>">
							<?php echo $term->name; ?>
						</a>
					</li>
				<?php endforeach; ?>
			</ul>
		<?php endif; ?>
	<?php endforeach; ?>
</div>